---
schema_version: "1"
id: 443b3c03bea1c04bf15135a5c87aeba06f78927d987983336f92a2edc8ff1fd3
title: GET /sms/v1/queueMO/history/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getQueueMOHistory.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getQueueMOHistory.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9a44a0df8a23d455ed4c73d455c3605f8b5eba277f09134c468568a03da955d0
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/queueMO/history/{tokenId}

## Overview

Retrieves the tracking history of a queued MO.

### URL Parameters

<!--complex table-->

| Name        | Type   |              | Description                         |
| ----------- | ------ | ------------ | ----------------------------------- |
| **tokenId** | string | **Required** | Token Id returned for the queued MO |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/queueMO/history/OXFoN2ZtT2xWazJLSFZkOVY3MGNZQTo3Njow
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
  "count": 5,
  "createDate": "2013-12-19T14:35:35.51",
  "status": "Active",
  "history": [
    {
      "type": "MT",
      "message": "Send your first name!",
      "date": "2013-12-19T14:35:35.51"
    },
    {
      "type": "MO",
      "message": "Anna",
      "date": "2013-12-19T14:36:36.04"
    },
    {
      "type": "MT",
      "message": "Text your ZIP code!",
      "date": "2013-12-19T14:36:36.6"
    },
    {
      "type": "MO",
      "message": "46202",
      "date": "2013-12-19T14:37:03.8"
    },
    {
      "type": "MT",
      "message": "Thanks!",
      "date": "2013-12-19T14:37:03.88"
    }
  ]
}
```
